Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/opa.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/opa.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/opa.F90	(revision 2392)
@@ -38,4 +38,5 @@
    USE step_oce        ! module used in the ocean time stepping module
    USE sbc_oce         ! surface boundary condition: ocean
+   USE cla             ! cross land advection               (tra_cla routine)
    USE domcfg          ! domain configuration               (dom_cfg routine)
    USE mppini          ! shared/distributed memory setting (mpp_init routine)
@@ -46,5 +47,5 @@
    USE ldfdyn          ! lateral viscosity setting      (ldfdyn_init routine)
    USE ldftra          ! lateral diffusivity setting    (ldftra_init routine)
-   USE zdfini
+   USE zdfini          ! vertical physics setting          (zdf_init routine)
    USE phycst          ! physical constant                  (par_cst routine)
    USE trdmod          ! momentum/tracers trends       (trd_mod_init routine)
@@ -67,5 +68,4 @@
    USE trcini          ! passive tracer initialisation
 #endif
-
    USE lib_mpp         ! distributed memory computing
 #if defined key_iomput
@@ -82,5 +82,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -277,5 +277,5 @@
                             CALL ldf_tra_init      ! Lateral ocean tracer physics
                             CALL ldf_dyn_init      ! Lateral ocean momentum physics
-      IF( lk_ldfslp )       CALL ldf_slp_init      ! slope of lateral mixing
+      IF( lk_ldfslp     )   CALL ldf_slp_init      ! slope of lateral mixing
 
       !                                     ! Active tracers
@@ -285,5 +285,4 @@
       IF( lk_tradmp     )   CALL tra_dmp_init   ! internal damping trends
                             CALL tra_adv_init   ! horizontal & vertical advection
-      IF( n_cla == 1    )   CALL tra_cla_init   ! Cross Land Advection (Update Hor. advection)
                             CALL tra_ldf_init   ! lateral mixing
                             CALL tra_zdf_init   ! vertical mixing and after tracer fields
@@ -296,4 +295,8 @@
                             CALL dyn_zdf_init   ! vertical diffusion
                             CALL dyn_spg_init   ! surface pressure gradient
+                            
+      !                                     ! Misc. options
+      IF( nn_cla == 1   )   CALL cla_init       ! Cross Land Advection
+      
 #if defined key_top
       !                                     ! Passive tracers
@@ -302,15 +305,15 @@
       !                                     ! Diagnostics
                             CALL     iom_init   ! iom_put initialization
-      IF( lk_floats    )    CALL     flo_init   ! drifting Floats
-      IF( lk_diaar5    )    CALL dia_ar5_init   ! ar5 diag
+      IF( lk_floats     )   CALL     flo_init   ! drifting Floats
+      IF( lk_diaar5     )   CALL dia_ar5_init   ! ar5 diag
                             CALL dia_ptr_init   ! Poleward TRansports initialization
                             CALL dia_hsb_init   ! heat content, salt content and volume budgets
                             CALL trd_mod_init   ! Mixed-layer/Vorticity/Integral constraints trends
-      IF( lk_diaobs    ) THEN                   ! Observation & model comparison
+      IF( lk_diaobs     ) THEN                  ! Observation & model comparison
                             CALL dia_obs_init            ! Initialize observational data
                             CALL dia_obs( nit000 - 1 )   ! Observation operator for restart
       ENDIF      
       !                                     ! Assimilation increments
-      IF( lk_asminc    )    CALL asm_inc_init   ! Initialize assimilation increments
+      IF( lk_asminc     )   CALL asm_inc_init   ! Initialize assimilation increments
       IF(lwp) WRITE(numout,*) 'Euler time step switch is ', neuler
       !
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 2392)
@@ -186,5 +186,4 @@
       IF( lk_tradmp      )   CALL tra_dmp    ( kstp )       ! internal damping trends
                              CALL tra_adv    ( kstp )       ! horizontal & vertical advection
-      IF( n_cla == 1     )   CALL tra_cla    ( kstp )       ! Cross Land Advection (Update Hor. advection)
       IF( lk_zdfkpp      )   CALL tra_kpp    ( kstp )       ! KPP non-local tracer fluxes
                              CALL tra_ldf    ( kstp )       ! lateral mixing
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 2392)
@@ -31,5 +31,4 @@
    USE traadv           ! advection scheme control     (tra_adv_ctl routine)
    USE traldf           ! lateral mixing                   (tra_ldf routine)
-   USE cla              ! cross land advection             (tra_cla routine)
    !   zdfkpp           ! KPP non-local tracer fluxes      (tra_kpp routine)
    USE trazdf           ! vertical mixing                  (tra_zdf routine)
